curl --request GET \
--url https://api.plane.com/v1/classifications \
--header 'Authorization: Bearer <token>'{
"classifications": [
{
"id": "wrc_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"status": "full-time",
"type": "salaried",
"term": "at-will",
"overtime": false,
"starts": "2024-01-15",
"ends": null,
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
Returns a list of all worker classifications in your Plane workspace.
curl --request GET \
--url https://api.plane.com/v1/classifications \
--header 'Authorization: Bearer <token>'{
"classifications": [
{
"id": "wrc_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"status": "full-time",
"type": "salaried",
"term": "at-will",
"overtime": false,
"starts": "2024-01-15",
"ends": null,
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
starting_after is an object ID that defines your place in the
list. For instance, if you make a list request and receive 100 objects, ending with obj_foo,
your subsequent call can include starting_after=obj_foo in order to fetch the next page of the
list.ending_before=obj_bar in order to fetch the previous page of the
list.classifications property that contains an array of up to limit classifications, starting after classification starting_after.
Each entry in the array is a separate classification object. If no more classifications are available, the resulting array will be empty.
{
"classifications": [
{
"id": "wrc_cNqYX2J3s9bI2Aa",
"worker": "wr_5yMmVvd6Cz7Ptx",
"status": "full-time",
"type": "salaried",
"term": "at-will",
"overtime": false,
"starts": "2024-01-15",
"ends": null,
"created": "2024-01-15T00:00:00Z"
},
{...},
{...}
]
}
Was this page helpful?